2025-09-01
- Added
/card/{cardId}/modifierendpoints. These endpoints allow you to retrieve and set card modifiers that control specific card behaviors and restrictions. This is only an enterprise feature; reach out to sales@slash.com to request access.
2025-06-10
- Added
/account/{accountId}/authorization-webhookendpoint. This endpoint allows you to retrieve, create, and update the authorization webhook for an account. This is only an enterprise feature; reach out to sales@slash.com to request access.
2025-06-05
- Added
wireInfoandachInfoto theTransactionobject
2025-05-17
- Added required
namefield to the Account schema.
2025-05-09
- Added
virtualAccountIdto the card group object. - Added
virtualAccountIdas an optional parameter to thePOST /card-grouprequest body.
2025-02-06
- Added
GET /card/{cardId}/utilizationendpoint. This endpoint allows you get the utilization for a single card not associated with a card group.
2025-02-05
- Added
POST /virtual-account/transfer. This endpoint allows you to transfer funds between virtual accounts.
2025-01-31
- Added transactions visible only on transactions page to
GET /transactionandGET /transaction/aggregation - Currently, these types of transactions are limited to transfers between virtual accounts
2025-01-28
- Added
filter:cardGroupNametoGET /cardendpoint. This field allows you to filter cards by card group name.
2025-01-23
- Added
filter:nametoGET /card-groupendpoint. This field allows you to filter card groups by name. - Added
memofield toGET /transactionendpoint. This field contains the memo field for ach transactions and the sender reference for wire transactions.
2025-01-19
- Added
PATCH /card/{cardId}/spending-constraintandPATCH /card-group/{cardGroupId}/spending-constraintendpoints. These endpoints allow for partial updating of existing spending constraints while preserving original values. - For consistency, added
PUT /card/{cardId}/spending-constraintandPUT /card-group/{cardGroupId}/spending-constraintendpoints. These endpoints fully replace the existing spending constraint with the new one.
2024-12-05
- Added
GET /card-productendpoint for getting card product information. - Added
cardProductIdfield toPOST /cardendpoint for creating a card with a specific card product.
2024-12-05
- Added
GET /transaction/aggregationendpoint for getting aggregated statistics about transactions.
2024-12-03
- Added
virtualAccountIdfield to card creation request and response.accountIdis still required, while this field is optional.
2024-11-30
- Added
merchantDatafield toTransaction. This field allows you to read specific details about the merchant, such as its reported description of the transaction, category code and location. Only applicable for card transactions. - Deprecated
merchantDescriptionfield inTransactionin favor ofmerchantData.description
2024-11-28
- Added
Virtual Accountendpoints to the API, allowing you to view, update, and close them
2024-10-20
- Added
sortquery param to theGET /cardendpoint. This field allows you to sort cards by creation date or name. - Added
sortDirectionquery param to theGET /cardendpoint. This field allows you to control the direction of the sort.
2024-10-03
- Added
cardGroupIdfield to card creation request - Added
GET /card-group/{cardGroupId}/utilizationendpoint. This endpoint returns the current utilization for a card group.
2024-07-10
- Added
referenceNumberfield toTransactionschema, which is returned by theGET /transactionandGET /transaction/{transactionId}endpoints.
2024-07-02
- Added
filter:detailed_statusquery param to theGET /transactionendpoint. This field allows you to filter transactions by their detailed status. See the API reference for more details.
2024-06-25
- Added
GET /card/{cardId}/eventsendpoint. This endpoint returns events from Visa for a single card, including authorizations, reversals, and verifications. See the API reference for more details.
2024-06-20
- Added
userDatafield to thePOST /cardandPATCH /card/{cardId}requests. This field allows you to attach your own data to the card, like an email address or an internal ID. - Added
detailedStatusanddeclineReasonfields to theTransactionschema, which is returned by theGET /transactionandGET /transaction/{transactionId}endpoints.
2024-06-14
- Added
PATCH /transaction/{transactionId}/noteendpoint. This endpoint allows you to add a note to a transaction. See the API reference for more details.
2024-05-01
We’ve made a number of non-breaking changes to the API. For the most part, you can continue to use the API as you have been, as long as you’ve been authenticating via API key. Here’s what’s new:- Added
/legal-entityendpoint. This endpoint returns the legal entities available to you. You can use this to filter the results of other endpoints. - Added optional
filter:legalEntityIdquery params to the following endpoints. This field allows you to specify the legal entity to filter by. If you are authenticating with an API key, this field will default to the legal entity the API key is associated with. If you are authenticating with a user token, you can use this field to filter by legal entity.GET /accountGET /transactionGET /cardGET /webhook
- Added optional
filter:accountIdquery params to the following endpoints. This field allows you to specify the account to filter by.GET /card
- Renamed the
PayBySlashUserschema toSlashHandle. - Renamed the
sourceSlashAccountGroupfield inSlashHandletoaccountId, which represents the ID of the account that will be used to send and receive funds.- Note that this is a breaking change. If you are relying on this field, please update your code to use the new field name.
- Added
GET /slash-handle. TheGET /payendpoint will continue to work, but we recommend updating your code to use the new endpoint, which returns a list instead of a single Slash handle (although the list will usually only contain one element). - Added optional
sourceSlashHandleIdandlegalEntityIdfields to thePOST /payrequest body. This field allows you to specify the legal entity or slash handle to use for the payment. (Each legal entity has one Slash handle.) If you are authenticating with an API key, this field will default to your legal entity’s Slash handle. If you are authenticating with a user token, one of these fields is required. - Added optional
legalEntityIdfield to thePOST /webhookrequest body. This field allows you to specify the legal entity to create the webhook for. If you are authenticating with an API key, this field will default to your legal entity. If you are authenticating with a user token, this field is required. - Added optional
accountIdfield to thePOST /cardrequest body. This field allows you to specify the account to create the card for. If you are authenticating with an API key, this field will default to the first commercial account under your legal entity, but we recommend that you specify the account ID explicitly. If you are authenticating with a user token, this field is required.